Minecraft(我的世界)中文论坛

 找回密码
 注册(register)
查看: 19116|回复: 478

[原创插件] [付费][PCD] SpigotTablistPlus —— 1.7版本以上的列表修改 V1.5.3 [1.7-1.12]

  [复制链接]
发表于 2018-1-19 14:41:28 | 显示全部楼层 |阅读模式
服务端插件
英文名称: SpigotTablistPlus
中文名称: SpigotTablistPlus
插件来源: 原创
适用服务端: |Spigot| |其它| 
插件类型: 娱乐 
语言支持: 简体中文 繁體中文 English 
适用版本: 1.12 1.11 1.10 1.9 1.8 1.7.10 1.7.2 
前置Mod|插件: ProtocolLib & PlaceholderAPI | MVdWPlaceholderAPI | Vault | Multiverse | LocyItem | ItemExpansionPack
下载地址: http://RightHere.com
原帖地址: http://RightHere.com

您尚未登录,立即登录享受更好的浏览体验!

您需要 登录 才可以下载或查看,没有帐号?注册(register)

x
本帖最后由 Allen-zhang 于 2018-4-16 14:06 编辑

SpigotTablistPlus
                                                     修改你的玩家列表信息


Spigot Tablist Plus - 1.7以上版本修改玩家列表的选择

Spigot上看到有个叫BungeeTablistPlus的插件 可以更改玩家列表, 但是
BungeeTablistPlus不支持Spigot端. 所以
我就写了个SpigotTablistPlus来修改玩家列表
该插件可以用于Spigot,但不能用在BungeeCord上 如果想用BungeeCord
请使用BungeeTablistPlus

注意:
非常抱歉, 但是
经过作者再三考虑 免费最终版本将停留在V1.5.3, 作者已经申请该插件作为一个Spigot的付费插件
可以前往Spigot购买后续版本 购买链接
如果你会给我一个好的Review,我会把这个插件免费给你 :D 请在SpigotMC私聊我

                               
登录/注册后可看大图

前言/Overview

该插件可以让你在1.8-1.9里使用1.7的玩家列表格式
如果你想用1.7以下的版本,请使用其他插件,例如 FancyTab
1.8.8版本ProtocolSupport也不能让1.7获得正常的玩家列表
所以请各位放弃吧 [1.7版本已添加]
因为作者的个人原因,插件代码会做略微混淆
作者有时候可能会忘记在插件plugin.yml
更新版本号,你只需要保证在帖子里下载的
是最新版本的就OK啦 :D

如果该插件反响较好,作者会考虑开源 (目前没打算)

注意/Attention

关于本插件的BUG修复及其使用问题
在同意使用须知/Terms of Service的基础上
任何问题请私聊作者或者回复在帖子里面
并且由于作者在国外 还要上学
时差问题等 请耐心等待 问题最终会解决的
如果喜欢这个插件可以给他加分之类的
谢谢 <3
如果插件反响好,作者就有动力去做这个插件 :)

功能/Functionalities

  • 修改你的玩家列表信息
  • 支持皮肤显示 [需要正版开启]
  • 自定义皮肤显示
  • 皮肤库支持
  • 自定义玩家列表的列数
  • 自定义所有信息 [可以在配置文件中更改]
  • 支持玩家列表各自的Ping显示 [以信号方式呈现
  • PlaceholderAPI支持
  • MVdWPlaceholderAPI支持
  • LocyItem支持
  • ItemExpansionPack支持
  • Spigot 1.7-1.11支持
  • 名字可以大于16个字符
  • 不同世界 不同的玩家列表 (Per World Tablist)
  • 兼容所有计分板,假人等插件 例如ScoreboardPlus, Citizen, FakePlayer等
  • Tab Header/Footer 动画效果显示
  • bStats支持 [可开关]
  • 开发者API [BETA]
  • 高级设置 [BETA]


下载方法/Installation

1. 下载插件
2. 把他安装到你的服务器/plugins文件夹里
3. 重启服务器/使用某类型插件使它加载
  1.) 他应该加载配置文件应该是这个样子的 ->
        
QQ图片20180204214810.png
4. 配置config.yml
  1.) QQ图片20180204214556.png
      在Tablist下面,输入你想要的TAB名字, Location,和Worlds必须像这样才会被读取
  2.) 在插件文件夹/Tabs/example.yml里面 配置你要的Tablist
5. 重启服务器/插件
6. 你可以开始你的PLAY了

使用截图/ScreenShots

Minecraft1.8 1_21_2018 5_07_26 PM.png Minecraft1.8 1_20_2018 1_36_21 PM.png Minecraft1.8 1_18_2018 10_18_29 PM.png

使用须知/Terms of Service

你没有权利将这个插件重新发布 (除非经过作者同意)
你没有权利反编译这个插件 (如果你想核实有没有后门随意)
你没有权利将这个插件的源码重新整理发布并且作为重置插件 [ANYWAYS]
禁止某种绅士发现Bug不私信我解决反而在帖子里面骂街的

更新日志/Update Log


V1.5.3 修复PlaceholderAPI未安装下出现的BUG, 该插件转网站 4/2/2018

未来策划/Future Planning

在插件本身增加皮肤库,能让服主更好的使用皮肤系统 [V1.O.2已添加]
分世界玩家列表 (Per World Tablist) [V1.O.4已添加]
高级设置 [V1.1.O已添加 BETA警告
更多命令支持
自动更新
支持1.7 [V1.2.O已添加]
增加更多变量插件支持 [目前增加MVdWPlaceholderAPI]

已知BUG/Known Bugs

加载皮肤的时候可能会有点卡顿,这是网络的长城原因,没办法 谁叫是在中国呢

已知BUG:
1. 服务器在RELOAD后不会显示Slot,这是ProtocolLib本身的发包问题,如果使用Yum等单独加载本插件或者RELOAD都是没问题的 已修复
1. PlaceholderAPI和MVdWPlaceholderAPI同时加载变量时只能取PlaceholderAPI的变量

如何使用插件自带的皮肤库/How to Use Skin Database from SpigotTablistPlus

1.前往配置文件
2.把Skin.CustomEnable设置为False
2.在PrivateSkin处设置你想要的皮肤
目前的皮肤有

变量列表/Placeholders

本插件除了兼容PlaceholderAPI以及MVdWPlaceholderAPI 还有一下变量可供诸位使用:
<LocyItem_Item> - 当前玩家所以使用的LocyItem 如果为Null则返回 "None" [在LocyItem已安装并开启情况下]
<IEP_isIepitem> - 是否使用的是IEP的物品 Yes 或者 No [在ItemExpansionPack已安装并开启情况下]
<player_ip> - 玩家IP
<player_name> - 玩家真实名字
<display_name> - 玩家显示名字
<player_uuid> - 玩家UUID
<player_gamemode> - 玩家游戏模式
<isSprinting> - 是否正在疾跑 是则返回 "Yes" 不是则返回 "No"

如何创建属于自己的自定义皮肤/How to Create Your Own Skin

1.前往该网站 https:/api.mojang.com/users/profile/你要的皮肤玩家ID
比如我要找的是Notch 就输入 https:/api.mojang.com/users/profile/Notch
你会得到名为 069a79f444e94726a5befca90e38aaf5 的UUID

2.输入sessionserver.mojang.com/session/minecraft/profile/你刚刚拿到的UUID?unsigned=false
结果应该是这样的 ->


3.进入配置文件,把CustomEnable打开 并且把图里的Signature的数值填入Skin.Signature里
把图里的Value数值填入Skin.Value里

4.重启服务器/插件 你就会看到显示的是自己的自定义皮肤了

开发者API/Developer API

论坛总是吞我代码,算了 代码都写在API注释里了,像用就直接看吧.

插件下载地址/Download Link

如果您下载了这个插件,请您至少评个分或者回个复

                               
登录/注册后可看大图
游客,如果您要查看本帖隐藏内容请回复

征集灵感

前排征集好看的玩家列表格式 QAQ 作者是个排版辣鸡
要求: 服务器IP 等必须** 不能出现有关玩家的真实个人信息等 没了
作者需要非常多的灵感,如果你有
什么好的主意,可以告诉我. 因为
本人就是没有想象力的那种人.....

  • 本插件所用代码部分来自其他开源或闭源(已授权)作品 (1.7核心代码来自于购买的API 耗费10$)

来自群组: PluginsCDTribe

评分

参与人数 33人气 +50 金粒 +247 绿宝石 +3 贡献 +1 收起 理由
Woolf + 1 神乎其技,不服不行!
richtofen + 20 Ssssssssssssssssssss
小乐_too + 1 + 15 MCBBS有你更精彩~
2507110555 + 1 神乎其技,不服不行!
qwe13779966518 + 10 MCBBS有你更精彩~
dongyun9881 + 2 来拿插件
qq2646088422 + 2 MCBBS有你更精彩~
2054382527 + 2 MCBBS有你更精彩~
chenmoand + 1 神乎其技,不服不行!
hhhllapktal233 + 1 MCBBS有你更精彩~
Smile_Sun + 2 + 40 神乎其技,不服不行!
f6109011 + 1 + 20 &quot;
souyakusen + 1 非常期待配置文件里提到的那个人的女装w.
1594425141 + 1 + 10 神乎其技,不服不行!
Mine_Snow + 1 就我看到了夜幕女装.yml吗=-=
blackangel + 2 MCBBS有你更精彩~
Crying_Cat + 1 + 20 神乎其技,不服不行!
2904239818 + 1 + 20 Ssssssssssssssssssss
酷车手BB弹 + 3 + 28 + 1 支持原创,希望能支持sponge
lona + 1 挺好用的,玩家们很喜欢

查看全部评分

 楼主| 发表于 2018-1-20 17:09:43 | 显示全部楼层
前排征集好看的玩家列表格式!
要求:不要出现服务器IP,个人信息等 马赛克也是Okey的
必须使用SpigotTablistPlus插件来做到这个效果
回复

使用道具 举报

 楼主| 发表于 2018-1-19 14:46:45 | 显示全部楼层
插件目前载入有Bug 因为混淆的问题 明天修复!
回复

使用道具 举报

发表于 2018-1-19 15:32:27 | 显示全部楼层
希望支持1.11.2
回复

使用道具 举报

发表于 2018-1-19 16:20:17 | 显示全部楼层
啥?支持1.7.10?
回复

使用道具 举报

 楼主| 发表于 2018-1-20 13:40:29 | 显示全部楼层

请看帖子 谢谢合作

1.7及以下均不支持
回复

使用道具 举报

 楼主| 发表于 2018-1-20 15:12:27 | 显示全部楼层

1.11.2 理论上是支持的 我还没有测试过 但1.8/1.9之外的版本我都设置成暂时不开放 等以后有时间测试看看吧

谢谢支持:D
回复

使用道具 举报

发表于 2018-1-20 15:41:15 | 显示全部楼层
回复支持一下吧,正好需要这样的插件
回复

使用道具 举报

 楼主| 发表于 2018-1-20 16:28:23 | 显示全部楼层
wjt12321 发表于 2018-1-20 15:41
回复支持一下吧,正好需要这样的插件

谢谢支持 :D
回复

使用道具 举报

 楼主| 发表于 2018-1-21 14:48:41 | 显示全部楼层
这个插件好像凉了。。
回复

使用道具 举报

发表于 2018-1-22 15:29:08 | 显示全部楼层
很想知道没开正版验证的离线服务器,在安装了皮肤插件的前提下,能不能把头像也显示在Tab列表上? 目前有客户端mod可以做到,但只能是装了mod的客户端显示、
回复

使用道具 举报

 楼主| 发表于 2018-1-23 06:35:22 | 显示全部楼层
水煮清娃 发表于 2018-1-22 15:29
很想知道没开正版验证的离线服务器,在安装了皮肤插件的前提下,能不能把头像也显示在Tab列表上? 目前有客 ...

只要你原来的列表能显示皮肤 这个插件就能显示皮肤
回复

使用道具 举报

发表于 2018-1-23 16:43:31 | 显示全部楼层
楼主 这个插件兼容1.7的水龙头服吗
回复

使用道具 举报

 楼主| 发表于 2018-1-23 23:22:39 | 显示全部楼层
3232510 发表于 2018-1-23 16:43
楼主 这个插件兼容1.7的水龙头服吗

不兼容的抱歉
回复

使用道具 举报

发表于 2018-1-27 11:30:05 | 显示全部楼层
可以更新支持1.11吗,1.11一用直接炸了
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册(register)

本版积分规则

Archiver|小黑屋|Mcbbs.net ( 京ICP备15023768号-1 ) | 手机版本

GMT+8, 2018-12-16 03:17 , Processed in 0.164325 second(s), 28 queries , Memcache On.

"Minecraft"以及"我的世界"为Mojang Synergies AB的商标。本站与Mojang以及微软公司没有从属关系。

© 2010-2019 我的世界中文论坛 版权所有。本站原创图文内容版权属于原创作者,未经许可不得转载。

快速回复 返回顶部 返回列表